petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetPicard

Returns the context for the Picard iteration

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetPicard(SNES snes,Vec *r,PetscErrorCode (**f)(SNES,Vec,Vec,void*),Mat *Amat, Mat *Pmat, PetscErrorCode (**J)(SNES,Vec,Mat,Mat,void*),void **ctx)

Not Collective, but Vec is parallel if SNES is parallel. Collective if Vec is requested, but has not been created yet.

### Input Parameter

snes -the SNES context

### Output Parameter

| r | - the function (or NULL)
| f | - the function (or NULL); see SNESFunction for calling sequence details
| Amat | - the matrix used to defined the operation A(x) x - b(x) (or NULL)
| Pmat | - the matrix from which the preconditioner will be constructed (or NULL)
| J | - the function for matrix evaluation (or NULL); see SNESJacobianFunction for calling sequence details
| ctx | - the function context (or NULL)

### Keywords

SNES, nonlinear, get, function

### See Also

SNESSetPicard(), SNESGetFunction(), SNESGetJacobian(), SNESGetDM(), SNESFunction, SNESJacobianFunction

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages